Pool
Get Pool Bank Accounts By Bank Account Id
GET
header
AuthorizationBearer <token>Scope: pool-bank-accounts:read
bank_account_id*stringThe pool bank account.
application/json- response
An account-level pool bank account (pool_balance). Has no subaccount. Returned by pool create, pool replace-autoexchange, pool get-by-id, and as each element of the pool list.
id*stringBank account ID (bnk_…).
account_id*stringOwning account ID (acc_…).
asset*stringbank_type*"pool_balance"Value in
"pool_balance"bank_name?stringaccount?stringrouting_number?stringbank_short_description?stringbank_code?stringbranch?stringnetwork*stringinstant_payment?stringinstant_payment_type?stringcountry?stringdeposit_reference?stringcompliance_status*stringunchecked on creation.
is_active*booleanautoexchange*booleanautoexchange_destination_wallet_id?stringDestination wallet for auto-exchange, when configured.
created_at*stringFormat
date-timeupdated_at*stringFormat
date-timecurl -X GET 'https://api.betaramps.com/pool/bank-accounts/string'Example Response
{ "id": "bnk_0192f5b0-4d5e-7f6a-9b7c-8d9e0a1b2c34", "account_id": "acc_0192f4e0-1a2b-7c3d-8e4f-5a6b7c8d9e01", "asset": "USD", "bank_type": "pool_balance", "bank_name": "JPMorgan Chase", "account": "000123456789", "routing_number": "021000021", "bank_code": "CHASUS33", "branch": "0002", "network": "ach", "country": "US", "deposit_reference": "Pool settlement", "compliance_status": "unchecked", "is_active": true, "autoexchange": false, "created_at": "2026-10-31T12:00:00Z", "updated_at": "2026-10-31T12:00:00Z"}